# WinStd: WinSock2 API

WinSock2 API

## Classes

class | winstd::ws2_runtime_error
| WinSock2 runtime error. More...
class | winstd::addrinfo
| SID wrapper class. More...
class | winstd::waddrinfo
| SID wrapper class. More...

## Typedefs

typedef addrinfo | winstd::taddrinfo
| Multi-byte / Wide-character SID wrapper class (according to _UNICODE)

## Functions

static INT | GetAddrInfoA (PCSTR pNodeName, PCSTR pServiceName, const ADDRINFOA *pHints, winstd::addrinfo &result)
| Provides protocol-independent translation from a host name to an address. More...
static INT | GetAddrInfoW (PCWSTR pNodeName, PCWSTR pServiceName, const ADDRINFOW *pHints, winstd::waddrinfo &result)
| Provides protocol-independent translation from a host name to an address. More...

## Detailed Description

## Function Documentation

## GetAddrInfoA()

static INT GetAddrInfoA | ( | PCSTR | pNodeName,
|  | PCSTR | pServiceName,
|  | const ADDRINFOA * | pHints,
|  | winstd::addrinfo & | result
| ) |  |

static

Provides protocol-independent translation from a host name to an address.

See also
  GetAddrInfoW function

## GetAddrInfoW()

static INT GetAddrInfoW | ( | PCWSTR | pNodeName,
|  | PCWSTR | pServiceName,
|  | const ADDRINFOW * | pHints,
|  | winstd::waddrinfo & | result
| ) |  |

static

Provides protocol-independent translation from a host name to an address.

See also
  GetAddrInfoW function